• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Bug while using php 7.2

#1
I am using Codeignitor 3.1.11
My hosting service is depreciating use of lesser than php 7.3
When I use php 7.1 everything works fine, when i change to php 7.3, i get the following errors:
Code:
A PHP Error was encountered
Severity: 8192

Message: idn_to_ascii(): INTL_IDNA_VARIANT_2003 is deprecated

Filename: libraries/Form_validation.php

Line Number: 1243

Backtrace:

File: /home/freekert/public_html/esdsoftware/application/controllers/Admin.php
Line: 30
Function: run

File: /home/freekert/public_html/esdsoftware/index.php
Line: 315
Function: require_once

A PHP Error was encountered
Severity: Warning

Message: Cannot modify header information - headers already sent by (output started at /home/freekert/public_html/esdsoftware/system/core/Exceptions.php:271)

Filename: helpers/url_helper.php

Line Number: 564

Backtrace:

File: /home/freekert/public_html/esdsoftware/application/controllers/Admin.php
Line: 43
Function: redirect

File: /home/freekert/public_html/esdsoftware/index.php
Line: 315
Function: require_once
Reply

#2
Are you sure you have 3.1.11?
Because the constant INTL_IDNA_VARIANT_2003 is not used in the Form_validation library of CI 3.1.11. See the GitHut repo:
https://github.com/bcit-ci/CodeIgniter/b....php#L1243

Can you look at line 1243 of the file system/libraries/Form_validation.php and see if it match the official version?
CodeIgniter 4 tutorials (EN/FR) - https://includebeer.com
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2021 MyBB Group.